Summary:       Automated accessor generation
Name:          perl-Class-Accessor
Version:       0.51
Release:       3%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Class-Accessor
Source0:       https://cpan.metacpan.org/authors/id/K/KA/KASEI/Class-Accessor-%{version}.tar.gz

BuildRequires: coreutils perl(base) perl(Carp) perl(strict) perl(Sub::Name) perl(Test::More) perl(Tie::Hash)
BuildRequires: findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) perl(B)
Requires:      perl(:MODULE_COMPAT_%{?perl_version})
BuildArch:     noarch

%description
This module automagically generates accessors/mutators for your class.

%prep
%autosetup -n Class-Accessor-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes examples/ README
%{perl_vendorlib}/Class/
%{_mandir}/man3/Class::Accessor.3*
%{_mandir}/man3/Class::Accessor::Fast.3*
%{_mandir}/man3/Class::Accessor::Faster.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.51-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.51-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 0.51-1
- initial build
